%define subrel 1

%global _install_langs all
%global uname   common-data

Summary:	Desktop common files
Name:		desktop-common-data
Epoch:		1
Version:	7.0
Release:	%mkrel 2
Group:		System/Configuration
License:	GPL
URL:		http://www.mageia.org

Source0:	http://gitweb.mageia.org/software/desktop/common-data/snapshot/%{uname}-%{version}.tar.xz
Patch0:		common-data-7.0-fix-sourced.patch
Patch1:		common-data-7.0-fix-kreadconfig-change.patch

BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	libxml2-utils
BuildArch:	noarch
Provides:	menu = 2.1.24
Requires:	menu-messages
Requires:	xdg-utils
Requires:	xdg-user-dirs
Requires:	run-parts
# shared-mime-info is needed to correctly render included register.desktop (tarakbumba)
Requires:	shared-mime-info
Requires(post):	hicolor-icon-theme
Requires:	hicolor-icon-theme

# ease upgrade mga5 -> mga6 (due to file conflicts mga#18585)
Conflicts:	mate-panel < 1.14.0-2

%description
This package contains useful icons, menu structure and others goodies for the
%_vendor desktop.

%prep
%setup -q -n %{uname}-%{version}
%autopatch -p1

# fix .po files - temporarely?
for file in po/*.po; do
    sed -i "s|charset=CHARSET|charset=UTF-8|gi" $file
done

%build
make

%install
## Install backgrounds
# User & root's backgrounds
install -d -m 0755 %buildroot/%_datadir/mga/backgrounds/
#install -m 0644 backgrounds/flower.jpg %buildroot/%_datadir/mga/backgrounds/
#install -m 0644 backgrounds/nature.jpg %buildroot/%_datadir/mga/backgrounds/

# XFdrake test card
install -d -m 0755 %buildroot/%_datadir/mga/xfdrake/
install -m 0644 backgrounds/xfdrake-test-card.png %buildroot/%_datadir/mga/xfdrake/xfdrake-test-card.png



## Install scripts
# /usr/bin/
install -d -m 0755 %buildroot/%_bindir/
for i in bin/*.sh ; do install -m 0755 $i %buildroot/%_bindir/ ; done
install -m 0755 bin/www-browser %buildroot/%_bindir/
install -m 0755 bin/xvt %buildroot/%_bindir/
install -m 0755 bin/editor %buildroot/%_bindir/

# /usr/sbin/
install -d -m 0755 %buildroot/%_sbindir/
for i in sbin/* ; do install -m 0755 $i %buildroot/%_sbindir/ ; done

# /etc/X11/xinit.d/
install -d -m 0755 %buildroot/%_sysconfdir/X11/xinit.d/
for i in xinit.d/* ; do install -m 0755 $i %buildroot/%_sysconfdir/X11/xinit.d/ ; done


## Install faces
install -d -m 0755 %buildroot/%_datadir/mga/faces/
install -d -m 0755 %buildroot/%_datadir/faces/
for i in faces/*.png ; do install -m 0644 $i %buildroot/%_datadir/mga/faces/ ; done

install -m 0644 faces/default.png %buildroot/%_datadir/faces/default.png

install -m 0644 faces/default.png %buildroot/%_datadir/faces/user-default-mga.png



## KDE
# kdm
install -d -m 0755 %buildroot/%_datadir/apps/kdm/pics/



## icons
install -d -m 0755 %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 0644 menu/icons/*.png %buildroot/%_iconsdir
install -m 0644 menu/icons/large/*.png %buildroot/%_liconsdir
install -m 0644 menu/icons/mini/*.png %buildroot/%_miconsdir

cp -r menu/icons/hicolor  %buildroot/%_datadir/icons/

# XDG menus
install -d -m 0755 %buildroot/%_sysconfdir/xdg/autostart
install -d -m 0755 %buildroot/%_sysconfdir/xdg/menus/applications-merged
install -d -m 0755 %buildroot/%_sysconfdir/menu.d %buildroot/%_sysconfdir/profile.d
install -m 0644 applications.menu %buildroot/%_sysconfdir/xdg/menus/applications.menu
install -m 0644 plasma-applications.menu %buildroot/%_sysconfdir/xdg/menus/plasma-applications.menu
install -m 0755 menu/xdg_menu %buildroot/%_bindir
install -m 0755 menu/update-menus %buildroot/%_bindir/update-menus
install -m 0644 menu/menustyle.csh %buildroot/%_sysconfdir/profile.d/30menustyle.csh
install -m 0644 menu/menustyle.sh  %buildroot/%_sysconfdir/profile.d/30menustyle.sh

if [ "%_install_langs" != "all" ]; then
 echo ERROR : rpm macro %%_install_langs is not set to \"all\", causing some translations to not be available on your build system and therefore preventing building this package. Add \"%%_install_langs all\" to /etc/rpm/macros and force a reinstall of menu-messages package to ensure all translations are installed on this system before rebuilding this package
 return 1
fi

install -d -m 0755 %buildroot/%_datadir/desktop-directories

install -d -m 0755 %buildroot/%_var/lib/menu

for i in menu/desktop-directories/*.in ; do
 %{_bindir}/intltool-merge --desktop-style po $i %buildroot/%_datadir/desktop-directories/`basename $i .in` 2>&1 | grep -q "Odd number of elements in hash assignment" && echo "menu message po broken (see bug #25895), aborting " && exit 1
done

for PRODUCT in default ; do
  install -d -m 0755 %buildroot/%_datadir/dist/desktop-files/$PRODUCT
  for i in desktop/$PRODUCT/*.in ; do
    %{_bindir}/intltool-merge --desktop-style po $i %buildroot/%_datadir/dist/desktop-files/$PRODUCT/`basename $i .in`
  done
done


#install theme for GDM/KDM
install -d -m 0755 %buildroot/%_datadir/mga/dm
for i in dm/*.png dm/*.desktop dm/*.xml ; do
  install -m 0644 $i %buildroot/%_datadir/mga/dm/
done

# install bookmarks
install -d -m 0755 %buildroot%_datadir/mga/bookmarks/konqueror
for i in bookmarks/konqueror/*.xml ; do
  install -m 0644 $i %buildroot%_datadir/mga/bookmarks/konqueror
done

install -d -m 0755 %buildroot%_datadir/mga/bookmarks/mozilla
for i in bookmarks/mozilla/*.html ; do
  install -m 0644 $i %buildroot%_datadir/mga/bookmarks/mozilla
done

# install sound samples
# Enable back if we add sounds later
#install -d -m 0755 %buildroot%_datadir/sounds
#for i in sounds/ia_ora*.wav ; do
# install -m 0644 $i %buildroot%_datadir/sounds
#done
#install sound theme Ia Ora
#install -d -m 0755 %buildroot%_datadir/sounds/ia_ora/stereo
#install -m 0644 sounds/index.theme %buildroot%_datadir/sounds/ia_ora
#ln -s ../../ia_ora-startup.wav %buildroot%_datadir/sounds/ia_ora/stereo/desktop-login.wav
#ln -s ../../ia_ora-shutdown.wav %buildroot%_datadir/sounds/ia_ora/stereo/desktop-logout.wav
#ln -s ../../ia_ora-error.wav %buildroot%_datadir/sounds/ia_ora/stereo/dialog-error.wav
#ln -s ../../ia_ora-notification.wav %buildroot%_datadir/sounds/ia_ora/stereo/dialog-warning.wav
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/dialog.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/power.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/battery.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/suspend.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/screen-capture.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/service.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/system.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/desktop.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/device.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/bell.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/message-new-email.disabled
#touch	%buildroot%_datadir/sounds/ia_ora/stereo/trash-empty.disabled


%post
if [ -f %_sysconfdir/X11/window-managers.rpmsave ];then
	%_sbindir/convertsession -f %_sysconfdir/X11/window-managers.rpmsave || :
fi

update-menus

# (cg) See sound-theme-freedesktop for explanation about touch.
#touch --no-create %_datadir/sounds %_datadir/sounds/ia_ora

%postun
# (cg) See sound-theme-freedesktop for explanation about touch.
#touch --no-create %_datadir/sounds %_datadir/sounds/ia_ora

%transfiletriggerin --  /usr/share/applications/ /etc/menu.d/
update-menus

%files
%_bindir/*
#
%_sbindir/*

%_sysconfdir/X11/xinit.d/*
%_sysconfdir/profile.d/*
%dir %_sysconfdir/menu.d
%dir %_sysconfdir/xdg
%dir %_sysconfdir/xdg/menus
%dir %_sysconfdir/xdg/menus/applications-merged
%config(noreplace) %_sysconfdir/xdg/menus/*.menu
%dir %_var/lib/menu

#
%dir %_datadir/faces/
%dir %_datadir/mga/
%dir %_datadir/mga/faces/
%_datadir/faces/*
%_datadir/mga/faces/*
#
#%dir %_datadir/mga/backgrounds/
#%_datadir/mga/backgrounds/*.jpg

%dir %_datadir/mga/bookmarks
%dir %_datadir/mga/bookmarks/konqueror
%_datadir/mga/bookmarks/konqueror/*.xml
%dir %_datadir/mga/bookmarks/mozilla
%_datadir/mga/bookmarks/mozilla/*.html
#
#%dir %_datadir/apps/kdm/pics/
#%_datadir/apps/kdm/pics/*
#
%dir %_datadir/mga/xfdrake/
%_datadir/mga/xfdrake/*.png
#

#%_datadir/sounds/*.wav
#%_datadir/sounds/ia_ora

%_datadir/mga/dm

%dir %_datadir/dist/desktop-files
%dir %_datadir/dist/desktop-files/default
%attr(0755,root,root) %_datadir/dist/desktop-files/*/*
#
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/hicolor/*/*/*.png
%_iconsdir/hicolor/*/*/*.svg

%_datadir/desktop-directories/*.directory
